Bug 1135933 - Review Request: ghc-monads-tf - Monad classes using type families
Summary: Review Request: ghc-monads-tf - Monad classes using type families
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rick Elrod
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1033034
TreeView+ depends on / blocked
 
Reported: 2014-09-01 08:41 UTC by Jens Petersen
Modified: 2014-10-09 19:58 UTC (History)
3 users (show)

Fixed In Version: ghc-monads-tf-0.1.0.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-27 10:09:11 UTC
relrod: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2014-09-01 08:41:50 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-monads-tf.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-monads-tf-0.1.0.2-1.fc20.src.rpm

Description:
Monad classes using type families, with instances for various monad
transformers, inspired by the paper "Functional Programming with Overloading
and Higher-Order Polymorphism", by Mark P Jones, in Advanced School of
Functional Programming, 1995
(<http://web.cecs.pdx.edu/~mpj/pubs/springschool.html>).

Comment 1 Jens Petersen 2014-09-01 08:41:52 UTC
This package built on koji:  http://koji.fedoraproject.org/koji/taskinfo?taskID=7498117

Comment 2 Jens Petersen 2014-09-01 11:01:57 UTC
http://packdeps.haskellers.com/reverse/monads-tf

Comment 3 Rick Elrod 2014-09-11 10:49:41 UTC
Looks good to me. APPROVED.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 962560 bytes in 100 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Haskell:
[x]: This should never happen

...and yet it did. ;)

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 1064960 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-monads-tf-0.1.0.2-1.fc20.x86_64.rpm
          ghc-monads-tf-devel-0.1.0.2-1.fc20.x86_64.rpm
          ghc-monads-tf-0.1.0.2-1.fc20.src.rpm
ghc-monads-tf.x86_64: W: spelling-error Summary(en_US) Monad -> Mona, Gonad, Mon ad
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US Monad -> Mona, Gonad, Mon ad
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US cecs -> ceca, secs, pecs
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US pdx -> pd, pix, pox
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US edu -> ed, educ, due
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US springschool -> spring school, spring-school, schooling
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
ghc-monads-tf.src: W: spelling-error Summary(en_US) Monad -> Mona, Gonad, Mon ad
ghc-monads-tf.src: W: spelling-error %description -l en_US Monad -> Mona, Gonad, Mon ad
ghc-monads-tf.src: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-monads-tf.src: W: spelling-error %description -l en_US http -> HTTP
ghc-monads-tf.src: W: spelling-error %description -l en_US cecs -> ceca, secs, pecs
ghc-monads-tf.src: W: spelling-error %description -l en_US pdx -> pd, pix, pox
ghc-monads-tf.src: W: spelling-error %description -l en_US edu -> ed, educ, due
ghc-monads-tf.src: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
ghc-monads-tf.src: W: spelling-error %description -l en_US springschool -> spring school, spring-school, schooling
ghc-monads-tf.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
3 packages and 0 specfiles checked; 0 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint ghc-monads-tf ghc-monads-tf-devel
ghc-monads-tf.x86_64: W: spelling-error Summary(en_US) Monad -> Mona, Gonad, Mon ad
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US Monad -> Mona, Gonad, Mon ad
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US monad -> nomad, gonad, Mona
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US http -> HTTP
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US cecs -> ceca, secs, pecs
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US pdx -> pd, pix, pox
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US edu -> ed, educ, due
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US mpj -> mph, mp, mpg
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US springschool -> spring school, spring-school, schooling
ghc-monads-tf.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
2 packages and 0 specfiles checked; 0 errors, 10 warnings.
# echo 'rpmlint-done:'



Requires
--------
ghc-monads-tf (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHStransformers-0.3.0.0-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-monads-tf-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(monads-tf-0.1.0.2-c0798c2f7ab3332e792bf77830121501)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(transformers-0.3.0.0-387c76a892254b0b8fe4d66f4780ad17)
    ghc-monads-tf(x86-64)



Provides
--------
ghc-monads-tf:
    ghc(monads-tf-0.1.0.2-c0798c2f7ab3332e792bf77830121501)
    ghc-monads-tf
    ghc-monads-tf(x86-64)
    libHSmonads-tf-0.1.0.2-ghc7.6.3.so()(64bit)

ghc-monads-tf-devel:
    ghc-devel(monads-tf-0.1.0.2-c0798c2f7ab3332e792bf77830121501)
    ghc-monads-tf-devel
    ghc-monads-tf-devel(x86-64)
    ghc-monads-tf-static



Unversioned so-files
--------------------
ghc-monads-tf: /usr/lib64/ghc-7.6.3/monads-tf-0.1.0.2/libHSmonads-tf-0.1.0.2-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/monads-tf-0.1.0.2/monads-tf-0.1.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : cb6f495443f526b00b3d06535aa29e393473244acd410cba1b898eeaa8f8077c
  CHECKSUM(SHA256) upstream package : cb6f495443f526b00b3d06535aa29e393473244acd410cba1b898eeaa8f8077c


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1135933
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Jens Petersen 2014-09-12 01:01:33 UTC
Thank you for the review, Ricky


New Package SCM Request
=======================
Package Name: ghc-monads-tf
Short Description: Monad classes using type families
Upstream URL: http://hackage.haskell.org/package/monads-tf
Owners: petersen relrod
Branches: f21 f20 f19 epel7
InitialCC: haskell-sig

Comment 5 Jens Petersen 2014-09-12 01:05:16 UTC
oops - corrected request:

New Package SCM Request
=======================
Package Name: ghc-monads-tf
Short Description: Monad classes using type families
Upstream URL: http://hackage.haskell.org/package/monads-tf
Owners: petersen codeblock
Branches: f21 f20 f19 epel7
InitialCC: haskell-sig

Comment 6 Gwyn Ciesla 2014-09-12 12:02:46 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-09-16 03:04:40 UTC
ghc-monads-tf-0.1.0.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/ghc-monads-tf-0.1.0.2-1.fc21

Comment 8 Fedora Update System 2014-09-16 03:04:47 UTC
ghc-monads-tf-0.1.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-monads-tf-0.1.0.2-1.fc20

Comment 9 Fedora Update System 2014-09-16 03:04:54 UTC
ghc-monads-tf-0.1.0.2-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/ghc-monads-tf-0.1.0.2-1.el7

Comment 10 Fedora Update System 2014-09-16 03:05:02 UTC
ghc-monads-tf-0.1.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-monads-tf-0.1.0.2-1.fc19

Comment 11 Fedora Update System 2014-09-16 18:44:35 UTC
ghc-monads-tf-0.1.0.2-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 12 Fedora Update System 2014-09-27 10:09:11 UTC
ghc-monads-tf-0.1.0.2-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 13 Fedora Update System 2014-09-30 01:53:56 UTC
ghc-monads-tf-0.1.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 14 Fedora Update System 2014-09-30 01:58:22 UTC
ghc-monads-tf-0.1.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Fedora Update System 2014-10-09 19:58:09 UTC
ghc-monads-tf-0.1.0.2-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.